{ Quick and dirty boot sector write utility for Windows   	pd 071124

  - CF card must be partitioned and formatted using FAT16 file system.
  - The boot sector is overwritten with the FreeDOS boot sector, but the
    format information is preserved.
  - uses dd for Windows to do the physical disk access
  - compiles with Borland Pascal 7.0, other versions should work }

const
  oem:array[0..7] of char = 'setboot2';

var
  buf1,buf2:array[0..511] of byte;
  fi:file;

begin
  if paramcount<>2 then begin
    write('Usage: setboot2 boot.img bootsec.img');
    halt(1);
  end;

  write('bootsec2 read ',paramstr(1));	{ read new boot sector }
  assign(fi,paramstr(1));
  reset(fi,1);
  blockread(fi,buf1,sizeof(buf1));
  close(fi);

  write(' ',paramstr(2));		{ read existing boot sector }
  assign(fi,paramstr(2));
  reset(fi,1);
  blockread(fi,buf2,sizeof(buf2));

  move(buf2[3],buf1[3],$3e-$03);	{ preserve FAT format info only }
  					{ bug fix sh 071201}
  					
  move(oem,buf1[3],8);			{ overwrite OEM label }
  buf1[$24]:= $ff;			{ drive number = auto / see boot.asm }

  write(' write');
  seek(fi,0);				{ write back to boot sector image }
  blockwrite(fi,buf1,sizeof(buf1));
  close(fi);
end.
